com.airbnb.android.react.maps

## Class AirMapManager

- java.lang.Object
- - <any>
  - - com.airbnb.android.react.maps.AirMapManager

    public class AirMapManager
    extends <any>

### Constructor Summary

Constructors
Constructor and Description
`AirMapManager(ReactApplicationContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addView(AirMapView parent, android.view.View child, int index)`
`LayoutShadowNode` `createShadowNodeInstance()`
`protected AirMapView` `createViewInstance(ThemedReactContext context)`
`android.view.View` `getChildAt(AirMapView view, int index)`
`int` `getChildCount(AirMapView view)`
`java.util.Map<java.lang.String,java.lang.Integer>` `getCommandsMap()`
`java.util.Map` `getExportedCustomDirectEventTypeConstants()`
`java.lang.String` `getName()`
`void` `onDropViewInstance(AirMapView view)`
`void` `receiveCommand(AirMapView view, int commandId, ReadableArray args)`
`void` `removeViewAt(AirMapView parent, int index)`
`void` `setCacheEnabled(AirMapView view, boolean cacheEnabled)`
`void` `setHandlePanDrag(AirMapView view, boolean handlePanDrag)`
`void` `setLoadingBackgroundColor(AirMapView view, java.lang.Integer loadingBackgroundColor)`
`void` `setLoadingEnabled(AirMapView view, boolean loadingEnabled)`
`void` `setLoadingIndicatorColor(AirMapView view, java.lang.Integer loadingIndicatorColor)`
`void` `setMapType(AirMapView view, java.lang.String mapType)`
`void` `setPitchEnabled(AirMapView view, boolean pitchEnabled)`
`void` `setRegion(AirMapView view, ReadableMap region)`
`void` `setRotateEnabled(AirMapView view, boolean rotateEnabled)`
`void` `setScrollEnabled(AirMapView view, boolean scrollEnabled)`
`void` `setShowBuildings(AirMapView view, boolean showBuildings)`
`void` `setShowIndoors(AirMapView view, boolean showIndoors)`
`void` `setShowsCompass(AirMapView view, boolean showsCompass)`
`void` `setShowsMyLocationButton(AirMapView view, boolean showMyLocationButton)`
`void` `setShowsUserLocation(AirMapView view, boolean showUserLocation)`
`void` `setShowTraffic(AirMapView view, boolean showTraffic)`
`void` `setToolbarEnabled(AirMapView view, boolean toolbarEnabled)`
`void` `setZoomEnabled(AirMapView view, boolean zoomEnabled)`
`void` `updateExtraData(AirMapView view, java.lang.Object extraData)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AirMapManager

    public AirMapManager(ReactApplicationContext context)

### Method Detail

#### getName

    public java.lang.String getName()

#### createViewInstance

    protected AirMapView createViewInstance(ThemedReactContext context)

#### onDropViewInstance

    public void onDropViewInstance(AirMapView view)

#### setRegion

    public void setRegion(AirMapView view,
                          ReadableMap region)

#### setMapType

    public void setMapType(AirMapView view,
                           java.lang.String mapType)

#### setShowsUserLocation

    public void setShowsUserLocation(AirMapView view,
                                     boolean showUserLocation)

#### setShowsMyLocationButton

    public void setShowsMyLocationButton(AirMapView view,
                                         boolean showMyLocationButton)

#### setToolbarEnabled

    public void setToolbarEnabled(AirMapView view,
                                  boolean toolbarEnabled)

#### setHandlePanDrag

    public void setHandlePanDrag(AirMapView view,
                                 boolean handlePanDrag)

#### setShowTraffic

    public void setShowTraffic(AirMapView view,
                               boolean showTraffic)

#### setShowBuildings

    public void setShowBuildings(AirMapView view,
                                 boolean showBuildings)

#### setShowIndoors

    public void setShowIndoors(AirMapView view,
                               boolean showIndoors)

#### setShowsCompass

    public void setShowsCompass(AirMapView view,
                                boolean showsCompass)

#### setScrollEnabled

    public void setScrollEnabled(AirMapView view,
                                 boolean scrollEnabled)

#### setZoomEnabled

    public void setZoomEnabled(AirMapView view,
                               boolean zoomEnabled)

#### setRotateEnabled

    public void setRotateEnabled(AirMapView view,
                                 boolean rotateEnabled)

#### setCacheEnabled

    public void setCacheEnabled(AirMapView view,
                                boolean cacheEnabled)

#### setLoadingEnabled

    public void setLoadingEnabled(AirMapView view,
                                  boolean loadingEnabled)

#### setLoadingBackgroundColor

    public void setLoadingBackgroundColor(AirMapView view,
                                          java.lang.Integer loadingBackgroundColor)

#### setLoadingIndicatorColor

    public void setLoadingIndicatorColor(AirMapView view,
                                         java.lang.Integer loadingIndicatorColor)

#### setPitchEnabled

    public void setPitchEnabled(AirMapView view,
                                boolean pitchEnabled)

#### receiveCommand

    public void receiveCommand(AirMapView view,
                               int commandId,
                               ReadableArray args)

#### getExportedCustomDirectEventTypeConstants

    public java.util.Map getExportedCustomDirectEventTypeConstants()

#### getCommandsMap

    public java.util.Map<java.lang.String,java.lang.Integer> getCommandsMap()

#### createShadowNodeInstance

    public LayoutShadowNode createShadowNodeInstance()

#### addView

    public void addView(AirMapView parent,
                        android.view.View child,
                        int index)

#### getChildCount

    public int getChildCount(AirMapView view)

#### getChildAt

    public android.view.View getChildAt(AirMapView view,
                                        int index)

#### removeViewAt

    public void removeViewAt(AirMapView parent,
                             int index)

#### updateExtraData

    public void updateExtraData(AirMapView view,
                                java.lang.Object extraData)